Bug 387771 - Feature Request
Feature Request
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: webalizer (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 17:41 EST by Reindl Harald
Modified: 2009-02-05 16:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 12:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch against upstream webalizer-2.20 (770 bytes, application/octet-stream)
2009-02-05 16:29 EST, Joshua Daniel Franklin
no flags Details

  None (edit)
Description Reindl Harald 2007-11-16 17:41:49 EST
Hi

It is possible to replace the old webalizer against "webalizer xtended"?
http://www.patrickfrei.ch/webalizer/

Configuration is 100 % compatible and it provides geoip-support
geoip is much faster than the old dns, both are possible by configuration
on an macosx-server we have replaced our since years running webalizer and his
configuration for over 100 virtual-hosts without changing anything else

With the original source i can not build it under fedora without building geoip
also from source or dont include geoip - so it would be the best way to include
it in fedora directly to get updates per yum.
Comment 1 Joshua Daniel Franklin 2008-09-03 13:30:00 EDT
Actually, webalizer 2.20-01 was released which includes the "webalizer xtended" changes. It would be great to update Fedora webalizer to this new version as it also includes other bug fixes.

http://www.webalizer.com/download.html
Comment 2 Bug Zapper 2008-11-26 03:31:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Joshua Daniel Franklin 2008-11-26 16:24:30 EST
Updating to F10. I would actually prefer Fedora make webalizer be "webalizer xtended" since it looks like the author made a new release on 18-SEP-2008 and has implemented additional features such as grouping agents whose string contains a space (such as grouping by Firefox version). 

The author of the original webalizer is unresponsive--I sent a small, clean patch to the mailing list months ago.
Comment 4 Joe Orton 2009-02-05 12:14:53 EST
The webalizer upstream seems to be alive again, so, shipping a fork of webalizer doesn't seem necessary or prudent at this point.

If you're interested in getting the "xtended" features in Fedora I'd recommend working towards getting the upstream folks to integrate the changes into the canonical webalizer code base.
Comment 5 Reindl Harald 2009-02-05 12:31:19 EST
I do not really understand why the simple step to take http://www.patrickfrei.ch/webalizer/ including geoIP-Support and replace the old webalizer is so complex

There is even a src.rpm for centos and until fedora 8 it was no problem ro build it for fedora, i'm not a c-programmer to get out why it does not build with geoip enabled on f9/f10, but i think anybody who understand the background could fix this in a few minutes

http://www.patrickfrei.ch/webalizer/downloads_other_os.html
Comment 6 Joshua Daniel Franklin 2009-02-05 14:48:06 EST
Joe-- so you are updating webalizer to the latest upstream? 

I see from the changelog that fedora is shipping a bunch of patches, some of which are fixed in the latest upstream. Did the webalizer maintainer accept the Fedora patches? The webalizer ChangeLog is vague:
ftp://ftp.mrunix.net/pub/webalizer/CHANGES

Unfortunately the user agent sniffing patches were not fixed. I submitted a small patch against 2.20 which I will attach. In my case I want to be able to differentiate browser type, OS, and architecture (32 vs 64 bit).

By the way, Reindl, you could become a maintainer for webalizer-xtended if you want to see it in Fedora:
http://fedoraproject.org/wiki/PackageMaintainers#Get_Involved
Comment 7 Reindl Harald 2009-02-05 15:21:22 EST
> you could become a maintainer

My problem is that i have no idea why it will no build on latest fedora-installations and i'm only web-developer without any c/c++ knowhow

weblizer-extended originally links geoip static, so i had to rebuild geoip with modified options, also a thing which breaks the fedora-guidelines, its only ok for own usage, at thios time i'm lucky that the lastest binarys also running with fedoa10 - but thats not enough skills to get maintainer :-)
Comment 8 Joshua Daniel Franklin 2009-02-05 16:29:43 EST
Created attachment 331056 [details]
Patch against upstream webalizer-2.20

Note You need to log in before you can comment on or make changes to this bug.